image: "registry.gitlab.com/s.arlyapov/build_cpp:latest"

stages:
  - build
  - test
  #- deploy

build:
  stage: build
  script:
    - mkdir build
    - cd build
    - cmake ..
    - cmake --build .
  artifacts:
    paths:
      - build/

test:
  stage: test
  dependencies:
    - build
  script:
    - cd build
    - cmake --build . --target test

#deploy:
#  stage: deploy
#  script:
#    - cmake .
#    - cmake --build .
#    - cmake --build . --target package
#    - ls
